<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" encoding="UTF-8"/>

<xsl:template match="/">
<xml>
 	<xsl:for-each select="xml/fin_factuur">    
        <kopregel>
            <dagb_type>I</dagb_type>
            <dagbknr><xsl:value-of select="/xml/dagboeknr"/></dagbknr>
            <bkstnr><xsl:apply-templates select="../fin_factuur_key"/></bkstnr>
            <fin_factuur_nr><xsl:value-of select="fin_factuur_nr"/></fin_factuur_nr>
            <oms25><xsl:value-of select="bes_mld_cnt_opdracht_id"/></oms25>
            <date><xsl:value-of select="fin_factuur_datum"/></date>
            <crdnr><xsl:value-of select="prs_leverancier_nr"/></crdnr>
            <bedrag><xsl:value-of select="fin_factuur_totaal_incbtw"/></bedrag>
            <betaalref><xsl:value-of select="prs_betaal_referentie"/></betaalref>
            <bestand><xsl:value-of select="fin_factuur_bestand"/></bestand>
            <xsl:for-each select="fin_factuurregel">
                <boekingsregel>
                    <dagb_type>I</dagb_type>
                    <dagbknr><xsl:value-of select="/xml/dagboeknr"/></dagbknr>
                    <bkstnr><xsl:apply-templates select="../fin_factuur_key"/></bkstnr>
                    <oms25>
                        <xsl:choose>
                           <xsl:when test="fin_factuurregel_omschrijving=''"><xsl:value-of select="fin_factuurregel_nr"/></xsl:when>
                           <xsl:otherwise><xsl:value-of select="fin_factuurregel_omschrijving"/></xsl:otherwise>
                        </xsl:choose>
                    </oms25>
                    <date><xsl:value-of select="fin_factuur_datum"/></date>
                    <reknr><xsl:value-of select="prs_kostensoort_refcode"/></reknr>
                    <!-- Onderstaande vreemde * 100 en delen door 100 bewust (natuurlijk) gedaan, omdat xsl verschrikkelijke veel decimalen toont -->
                    <!-- Er is ook geen round-functie in decimalen, de round-functie rond af op integer -->
                    <bedrag><xsl:value-of select="round(100*(fin_factuurregel_totaal+fin_factuurregel_btw_bedrag)) div 100"/></bedrag>
                    <btwcode><xsl:apply-templates select="fin_factuurregel_btw_perc_code"/></btwcode>
                    <btw_bdr><xsl:value-of select="fin_factuurregel_btw_bedrag"/></btw_bdr>
                    <kstplcode><xsl:value-of select="prs_kostenplaats_nr"/></kstplcode>
               </boekingsregel>
            </xsl:for-each>
        </kopregel>
     </xsl:for-each>    
</xml>
</xsl:template>

<xsl:template match="fin_factuurregel_btw_perc_code">
<!-- Deze template geldt voor SKA (als stichting): keihard op BTWcode 0 zetten -->0</xsl:template>


		
</xsl:stylesheet>
